Package org.drinkless.tdlib

# Class TdApi.ChangeStickerSet

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ChangeStickerSet

Enclosing class:
  `TdApi`

public static class TdApi.ChangeStickerSet extends TdApi.Function<TdApi.Ok>
Installs/uninstalls or activates/archives a sticker set.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isArchived`
  The new value of isArchived.
  `boolean`
  `isInstalled`
  The new value of isInstalled.
  `long`
  `setId`
  Identifier of the sticker set.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeStickerSet()`
  Default constructor for a function, which installs/uninstalls or activates/archives a sticker set.
  `ChangeStickerSet(long setId, boolean isInstalled, boolean isArchived)`
  Creates a function, which installs/uninstalls or activates/archives a sticker set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### setId

    public long setId
    Identifier of the sticker set.

  - ### isInstalled

    public boolean isInstalled
    The new value of isInstalled.

  - ### isArchived

    public boolean isArchived
    The new value of isArchived. A sticker set can't be installed and archived simultaneously.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChangeStickerSet

    public ChangeStickerSet()
    Default constructor for a function, which installs/uninstalls or activates/archives a sticker set.

    Returns `Ok`

  - ### ChangeStickerSet

    public ChangeStickerSet(long setId, boolean isInstalled, boolean isArchived)
    Creates a function, which installs/uninstalls or activates/archives a sticker set.

    Returns `Ok`

    Parameters:
      `setId` - Identifier of the sticker set.
      `isInstalled` - The new value of isInstalled.
      `isArchived` - The new value of isArchived. A sticker set can't be installed and archived simultaneously.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR